summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-08-09 13:01:12 +0200
committerPatrick Lauer <patrick@gentoo.org>2016-08-09 13:01:12 +0200
commit3ec6a6e814e9110cebb2ab618fe1cca5bd137c54 (patch)
tree0b9b9a8ec6a6f0b5cbc76816e8ec8d7e8d2eec2e /dev-python/flask-babel
parentdev-python/flask: Bump (diff)
downloadgentoo-3ec6a6e814e9110cebb2ab618fe1cca5bd137c54.tar.gz
gentoo-3ec6a6e814e9110cebb2ab618fe1cca5bd137c54.tar.bz2
gentoo-3ec6a6e814e9110cebb2ab618fe1cca5bd137c54.zip
dev-python/flask-babel: Bump
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-python/flask-babel')
-rw-r--r--dev-python/flask-babel/Manifest1
-rw-r--r--dev-python/flask-babel/flask-babel-0.11.1.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/flask-babel/Manifest b/dev-python/flask-babel/Manifest
index 6f07a06e257..69ea73838e2 100644
--- a/dev-python/flask-babel/Manifest
+++ b/dev-python/flask-babel/Manifest
@@ -1,3 +1,4 @@
DIST Flask-Babel-0.10.0.tar.gz 42036 SHA256 b8eecfd6410bc3f9063d7e160f17a2d313e64b8c6fd4b5ae68213323abbadae8 SHA512 f634e1b0bee4a8ac4d64301b1eac8fc01b57fb1be0ad304050a962a3381e696bdf1454f6809ad1e84ad7731238a3143f085e29de5d24a34aa3f4ebf2316f3b34 WHIRLPOOL 11741fafaae053cc950fbbfc20e54768c53a71e84474fe8b03e57f84a42864ab3a6920d86912f5bdc1da780f6940340f6249f0aec20ecc7bb773af4aca0ef7b5
+DIST Flask-Babel-0.11.1.tar.gz 40494 SHA256 d29b36c399e42e98bc9401c8c1c159f2befcb8c12a2a2a87ec49ad7623036899 SHA512 a70ab4c10d2e495121f8e050e2d6ed136a85b1030c90e540a7746c6e759a63f12940fe44b4551f221445839e972e298053e7778d3fcf1e4ecb7cd9a79699b19a WHIRLPOOL 57ac267da8fb9a0e4034f54b26a73d7b241a0c25705ee3f958b9f8784e5e39e8826279401e0a9423fdd0b02021eb921cdb0241237660a2c51255d122c2a5b9b0
DIST Flask-Babel-0.8.tar.gz 44520 SHA256 a255d77910ddfbebc6318c618d9a23cda5d018c86c7e0dea64dc860a16cb3daa SHA512 76e34df0748ec0ee2c0964ab07e85dd708c38601e55626fcc40b5a6064e5f2065c1969c4f888827225daf0ce2bf0a41670ba020f7d52b93915f4120cc478798d WHIRLPOOL 35f914bc4e765e03ccf699bbba696980b1ea48e07491d9e401c9ac76ce701575e8d0d69a63c144ad45fd2df76c7d3948b15cadfdbbc7ffd528ee5eca73e0bd31
DIST Flask-Babel-0.9.tar.gz 38881 SHA256 4afd150f360434b00684ba7848358f7961072fd0658a6e81aaa578522699fb4c SHA512 c667c8a532332bb3dd0d694932d17f7f9b2b51f68151767624116853b2e71f2a6b4c47164d17a6f368b67a5cabce97495b18147655fb36aee5034c058d3b9a89 WHIRLPOOL 28309a4a27bfd0fbe30be52613ee9eef5110e3cc38e863c6de200cced579476870e01b92edaeb08fd29e0deabcaa13d14742d188960742d61cf8ba5384476cd1
diff --git a/dev-python/flask-babel/flask-babel-0.11.1.ebuild b/dev-python/flask-babel/flask-babel-0.11.1.ebuild
new file mode 100644
index 00000000000..458117243e8
--- /dev/null
+++ b/dev-python/flask-babel/flask-babel-0.11.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} pypy )
+
+inherit distutils-r1
+
+MY_PN="Flask-Babel"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="i18n and l10n support for Flask based on Babel and pytz"
+HOMEPAGE="https://pythonhosted.org/Flask-Babel/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/speaklater-1.2[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.5[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+ nosetests || die "Tests failed under ${EPYTHON}"
+}